{% if awx_webhook_payload.data.mode %}
interface {{ awx_webhook_payload.data.name }}
 switchport
 {% if "tagged" in awx_webhook_payload.data.mode.value %}
 interface {{ awx_webhook_payload.data.name }}
#  spanning-tree portfast trunk
   spanning-tree guard root
 {% elif "access" in awx_webhook_payload.data.mode.value %}
 interface {{ awx_webhook_payload.data.name }}
   spanning-tree portfast
   spanning-tree guard root
 {% endif %}
{% else %}
 interface {{ awx_webhook_payload.data.name }}
  exit
{% endif %}
#interface {{ awx_webhook_payload.data.name }}
#  spanning-tree guard root
 

